Loading...
Searching...
No Matches
_PedException Struct Reference
PedException

Structure with information about exception. More...

`#include <exception.h>`

## Data Fields

char * | message
| text describing what the event was
PedExceptionOption | options
| ORed list of options that the exception handler can return (the ways an exception can be resolved).
PedExceptionType | type
| type of exception

## Detailed Description

Structure with information about exception.

## Field Documentation

## message

char * _PedException::message

text describing what the event was

## options

PedExceptionOption _PedException::options

ORed list of options that the exception handler can return (the ways an exception can be resolved).

## type

PedExceptionType _PedException::type

type of exception

The documentation for this struct was generated from the following files:

- include/parted/exception.h
- include/parted/exception.in.h